Subject: Re: E-mail list for Mycology added at net.bio.net and daresbury.

From: [email-masked] ("Rowland H. DAVIS")
Date: 3 Sep 93 00:04:38 GMT

I have access to USENET and my subscription to e-mail can be
     cancelled.  Thank you for your efforts.  Rowland Davis [email-masked]